Bug 6313 - smbpasswd fails to set password when using ldap/editposix
smbpasswd fails to set password when using ldap/editposix
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: User & Group Accounts
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Simo Sorce
Samba QA Contact
:
Depends on:
Blocks: 6333
  Show dependency treegraph
 
Reported: 2009-05-01 10:13 UTC by David Markey
Modified: 2009-05-06 05:16 UTC (History)
1 user (show)

See Also:


Attachments
Fix abort in ldapsam (1.06 KB, patch)
2009-05-05 15:00 UTC, Guenther Deschner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Markey 2009-05-01 10:13:38 UTC
Config: http://dmarkey.com/~dmarkey/samba3.4pre1/smbpasswd/smb.conf

net sam provision correctly populates LDAP

After that i try to set the password for Administrator:

echo -e "password\npassword\n"  | /opt/samba/samba-3.4.0pre1/bin/smbpasswd -s Administrator
Aborted

Log level 10: http://dmarkey.com/~dmarkey/samba3.4pre1/smbpasswd/log.txt


Also, I cant add users via smbpasswd with editposix=yes.

/opt/samba/samba-3.4.0pre1/bin/smbpasswd -a david
Cannot locate Unix account for 'david'!

Of course this makes sense because samba has to create the posix entry in LDAP, smbpasswd should see that editposix=yes and go ahead and create the user and assume the unix user should exist afterwards.
Comment 1 David Markey 2009-05-01 10:56:42 UTC
It actually does change the sambaNTPassword of Administrator. It just says its aborted, which it shouldnt


I'm having problems doing a net user add now so i'll raise a new bug for that.



Comment 2 Guenther Deschner 2009-05-05 14:59:52 UTC
(In reply to comment #1)
> It actually does change the sambaNTPassword of Administrator. It just says its
> aborted, which it shouldnt

The abort is fixed with the following patch. This is a a 3.4/master only issue, *not* a problem in 3.3.
Comment 3 Guenther Deschner 2009-05-05 15:00:49 UTC
Created attachment 4121 [details]
Fix abort in ldapsam

This is the patch that has been pushed to master / v3-4-test in order to fix the invalid talloc_free().

Simo, looks ok ?
Comment 4 Simo Sorce 2009-05-05 15:30:17 UTC
(In reply to comment #3)
> Created an attachment (id=4121) [details]
> Fix abort in ldapsam
> 
> This is the patch that has been pushed to master / v3-4-test in order to fix
> the invalid talloc_free().
> 
> Simo, looks ok ?

+1 looks fine
Comment 5 David Markey 2009-05-06 05:04:46 UTC
This fixes the problem. 
Comment 6 Guenther Deschner 2009-05-06 05:16:40 UTC
Ok, this is fixed (once again: the failure is 3.4 only).

I created 6333 as a clone of this one in order to track the enhancement request.